Package org.opensaml.core.metrics.impl

# Class DisabledCounter

java.lang.Object
com.codahale.metrics.Counter
org.opensaml.core.metrics.impl.DisabledCounter

All Implemented Interfaces:
  `com.codahale.metrics.Counting`, `com.codahale.metrics.Metric`, `DisabledMetric`

public class DisabledCounter extends com.codahale.metrics.Counter implements DisabledMetric
A stubbed out counter implementation.

Since:
  3.3.0

## Constructor Summary

Constructors
Constructor
Description
`DisabledCounter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dec()`
`void`
`dec(long n)`
`long`
`getCount()`
`void`
`inc()`
`void`
`inc(long n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisabledCounter

public DisabledCounter()

## Method Details

### inc

public void inc()

Overrides:
  `inc` in class `com.codahale.metrics.Counter`

### inc

public void inc(long n)

Overrides:
  `inc` in class `com.codahale.metrics.Counter`

### dec

public void dec()

Overrides:
  `dec` in class `com.codahale.metrics.Counter`

### dec

public void dec(long n)

Overrides:
  `dec` in class `com.codahale.metrics.Counter`

### getCount

public long getCount()

Specified by:
  `getCount` in interface `com.codahale.metrics.Counting`
Overrides:
  `getCount` in class `com.codahale.metrics.Counter`